GXml.Enumeration.parse – GXml-0.20 Reference Manual

# parse

## Description:

public static EnumValue? parse (Type enumeration, string val) throws Error

Parse @val to an enumeration's value.

Returns: an GLib.EnumValue representing an enumeration's value.

## Parameters:

enumeration | a GLib.Type of type GLib.Type.ENUM
val | a string to parse an enum value of type @param enumeration. as camel case representation. If @use_nick is set this take no effect.